Civil 3D and Python issue

Hi everyone,

I am having an issue with a Python code.

It says that the Curve.Reverse() is not found but I got my libraries for geometries imported as shown:

# Load the Python Standard and DesignScript Libraries
import sys
import clr

# Add Assemblies for AutoCAD and Civil3D
clr.AddReference('AcMgd')
clr.AddReference('AcCoreMgd')
clr.AddReference('AcDbMgd')
clr.AddReference('AecBaseMgd')
clr.AddReference('AecPropDataMgd')
clr.AddReference('AeccDbMgd')

# Import references from AutoCAD
from Autodesk.AutoCAD.Runtime import *
from Autodesk.AutoCAD.ApplicationServices import *
from Autodesk.AutoCAD.EditorInput import *
from Autodesk.AutoCAD.DatabaseServices import *
from Autodesk.AutoCAD.Geometry import *

# Import references from Civil3D
from Autodesk.Civil.ApplicationServices import *
from Autodesk.Civil.DatabaseServices import *

# The inputs to this node will be stored as a list in the IN variables.
girders = IN[0]
bool = IN[1]

a = []
for i,j in zip(girders,bool):
	aa = []
	for ii,jj in zip(i,j):
		if jj == True:
			aa.append(Curve.Reverse(ii))
		else:
			aa.append(ii)
	a.append(aa)
OUT = a

Hi @JMCiller

try to replace this

aa.append(Curve.Reverse(ii))

by

aa.append(ii.Reverse())

It should come to the same result. I use Revit, so i can’t say why that geometry is not accessible.

1 Like

It worked! Thank-you!